Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjava.security
Class WeakKeyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--java.security.KeyException
                              |
                              +--xjava.security.WeakKeyException

public class WeakKeyException
extends java.security.KeyException

WeakKeyException is thrown when a weak key would have been generated (e.g. by a KeyGenerator).

This class is not supported in JavaSoft's version of JCE.

See Also:
  Serialized Form

Constructor Summary
`WeakKeyException()` Constructs a WeakKeyException without any detail message.
`WeakKeyException(java.lang.String msg)` Constructs a WeakKeyException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeakKeyException

    public WeakKeyException()

  Constructs a WeakKeyException without any detail message.

### WeakKeyException

    public WeakKeyException(java.lang.String msg)

  Constructs a WeakKeyException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.